<?php

namespace SHServ\Controllers;

use \SHServ\Tools\DeviceScanner;

class DevTestController extends \SHServ\Middleware\Controller {
	use \SHServ\Tools\DeviceAPI\TestActions\Base_test;

	public function device_scanner() {
		$device_scanner = new DeviceScanner();
		$devices = $device_scanner -> scan_range(FCONF["device_ip_range"][0], FCONF["device_ip_range"][1]);

		echo "<pre>";
		var_dump($devices);
		echo "<br><br>";
		var_dump($device_scanner -> filter_by_status($devices, "setup"));
	}

	public function ping($action, $value) {
		var_dump([$action, $value, "aaa"]);
	}
	
}